<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Eloquent\Model;

class CreateForeignKeys extends Migration {

	public function up()
	{
		Schema::table('clientes', function(Blueprint $table) {
			$table->foreign('id_pais')->references('id')->on('paises')
						->onDelete('restrict')
						->onUpdate('cascade');
		});
		Schema::table('clientes', function(Blueprint $table) {
			$table->foreign('id_estado')->references('id')->on('paises')
						->onDelete('restrict')
						->onUpdate('cascade');
		});
		Schema::table('clientes', function(Blueprint $table) {
			$table->foreign('id_usuario_registro')->references('id')->on('usuarios')
						->onDelete('restrict')
						->onUpdate('cascade');
		});
		Schema::table('clientes', function(Blueprint $table) {
			$table->foreign('id_usuario_ult_mod')->references('id')->on('usuarios')
						->onDelete('restrict')
						->onUpdate('cascade');
		});
		Schema::table('patios', function(Blueprint $table) {
			$table->foreign('id_cliente')->references('id')->on('clientes')
						->onDelete('restrict')
						->onUpdate('cascade');
		});
		Schema::table('patios', function(Blueprint $table) {
			$table->foreign('id_pais')->references('id')->on('paises')
						->onDelete('restrict')
						->onUpdate('cascade');
		});
		Schema::table('patios', function(Blueprint $table) {
			$table->foreign('id_estado')->references('id')->on('estados')
						->onDelete('restrict')
						->onUpdate('cascade');
		});
		Schema::table('patios', function(Blueprint $table) {
			$table->foreign('id_usuario_registro')->references('id')->on('usuarios')
						->onDelete('restrict')
						->onUpdate('cascade');
		});
		Schema::table('patios', function(Blueprint $table) {
			$table->foreign('id_usuario_ult_mod')->references('id')->on('usuarios')
						->onDelete('restrict')
						->onUpdate('cascade');
		});
		Schema::table('usuarios', function(Blueprint $table) {
			$table->foreign('id_tipo_usuario')->references('id')->on('tipo_usuarios')
						->onDelete('restrict')
						->onUpdate('cascade');
		});
		Schema::table('usuarios', function(Blueprint $table) {
			$table->foreign('id_cliente')->references('id')->on('clientes')
						->onDelete('restrict')
						->onUpdate('cascade');
		});
		Schema::table('usuarios', function(Blueprint $table) {
			$table->foreign('id_usuario_registro')->references('id')->on('usuarios')
						->onDelete('restrict')
						->onUpdate('cascade');
		});
		Schema::table('usuarios', function(Blueprint $table) {
			$table->foreign('id_usuario_ult_mod')->references('id')->on('usuarios')
						->onDelete('restrict')
						->onUpdate('cascade');
		});
		Schema::table('paises', function(Blueprint $table) {
			$table->foreign('id_usuario_registro')->references('id')->on('usuarios')
						->onDelete('restrict')
						->onUpdate('cascade');
		});
		Schema::table('paises', function(Blueprint $table) {
			$table->foreign('id_usuario_ult_mod')->references('id')->on('usuarios')
						->onDelete('restrict')
						->onUpdate('cascade');
		});
		Schema::table('estados', function(Blueprint $table) {
			$table->foreign('id_pais')->references('id')->on('paises')
						->onDelete('restrict')
						->onUpdate('cascade');
		});
		Schema::table('estados', function(Blueprint $table) {
			$table->foreign('id_usuario_registro')->references('id')->on('usuarios')
						->onDelete('restrict')
						->onUpdate('cascade');
		});
		Schema::table('estados', function(Blueprint $table) {
			$table->foreign('id_usuario_ult_mod')->references('id')->on('usuarios')
						->onDelete('restrict')
						->onUpdate('cascade');
		});
		Schema::table('tipo_usuarios', function(Blueprint $table) {
			$table->foreign('id_cliente')->references('id')->on('clientes')
						->onDelete('restrict')
						->onUpdate('cascade');
		});
		Schema::table('tipo_usuarios', function(Blueprint $table) {
			$table->foreign('id_usuario_registro')->references('id')->on('usuarios')
						->onDelete('restrict')
						->onUpdate('cascade');
		});
		Schema::table('tipo_usuarios', function(Blueprint $table) {
			$table->foreign('id_usuario_ult_mod')->references('id')->on('usuarios')
						->onDelete('restrict')
						->onUpdate('cascade');
		});
		Schema::table('choferes', function(Blueprint $table) {
			$table->foreign('id_cliente')->references('id')->on('clientes')
						->onDelete('restrict')
						->onUpdate('cascade');
		});
		Schema::table('choferes', function(Blueprint $table) {
			$table->foreign('id_status')->references('id')->on('status')
						->onDelete('restrict')
						->onUpdate('cascade');
		});
		Schema::table('choferes', function(Blueprint $table) {
			$table->foreign('id_usuario_registro')->references('id')->on('usuarios')
						->onDelete('restrict')
						->onUpdate('cascade');
		});
		Schema::table('choferes', function(Blueprint $table) {
			$table->foreign('id_usuario_ult_mod')->references('id')->on('usuarios')
						->onDelete('restrict')
						->onUpdate('cascade');
		});
		Schema::table('choferes', function(Blueprint $table) {
			$table->foreign('id_vehiculo')->references('id')->on('vehiculos')
						->onDelete('restrict')
						->onUpdate('cascade');
		});
		Schema::table('status', function(Blueprint $table) {
			$table->foreign('id_cliente')->references('id')->on('clientes')
						->onDelete('restrict')
						->onUpdate('cascade');
		});
		Schema::table('status', function(Blueprint $table) {
			$table->foreign('id_tipo_status')->references('id')->on('tipo_status')
						->onDelete('restrict')
						->onUpdate('cascade');
		});
		Schema::table('status', function(Blueprint $table) {
			$table->foreign('id_usuario_registro')->references('id')->on('usuarios')
						->onDelete('restrict')
						->onUpdate('cascade');
		});
		Schema::table('status', function(Blueprint $table) {
			$table->foreign('id_usuario_ult_mod')->references('id')->on('usuarios')
						->onDelete('restrict')
						->onUpdate('cascade');
		});
		Schema::table('vehiculos', function(Blueprint $table) {
			$table->foreign('id_cliente')->references('id')->on('clientes')
						->onDelete('restrict')
						->onUpdate('cascade');
		});
		Schema::table('vehiculos', function(Blueprint $table) {
			$table->foreign('id_status')->references('id')->on('status')
						->onDelete('restrict')
						->onUpdate('cascade');
		});
		Schema::table('vehiculos', function(Blueprint $table) {
			$table->foreign('id_tipo_vehiculo')->references('id')->on('tipo_vehiculo')
						->onDelete('restrict')
						->onUpdate('cascade');
		});
		Schema::table('vehiculos', function(Blueprint $table) {
			$table->foreign('id_chofer')->references('id')->on('choferes')
						->onDelete('restrict')
						->onUpdate('cascade');
		});
		Schema::table('vehiculos', function(Blueprint $table) {
			$table->foreign('id_usuario_registro')->references('id')->on('usuarios')
						->onDelete('restrict')
						->onUpdate('cascade');
		});
		Schema::table('vehiculos', function(Blueprint $table) {
			$table->foreign('id_usuario_ult_mod')->references('id')->on('usuarios')
						->onDelete('restrict')
						->onUpdate('cascade');
		});
		Schema::table('cajas', function(Blueprint $table) {
			$table->foreign('id_cliente')->references('id')->on('clientes')
						->onDelete('restrict')
						->onUpdate('cascade');
		});
		Schema::table('cajas', function(Blueprint $table) {
			$table->foreign('id_status')->references('id')->on('status')
						->onDelete('restrict')
						->onUpdate('cascade');
		});
		Schema::table('cajas', function(Blueprint $table) {
			$table->foreign('id_tipo_caja')->references('id')->on('tipo_caja')
						->onDelete('restrict')
						->onUpdate('cascade');
		});
		Schema::table('cajas', function(Blueprint $table) {
			$table->foreign('id_tamano_caja')->references('id')->on('tamano_caja')
						->onDelete('restrict')
						->onUpdate('cascade');
		});
		Schema::table('cajas', function(Blueprint $table) {
			$table->foreign('id_usuario_registro')->references('id')->on('usuarios')
						->onDelete('restrict')
						->onUpdate('cascade');
		});
		Schema::table('cajas', function(Blueprint $table) {
			$table->foreign('id_usuario_ult_mod')->references('id')->on('usuarios')
						->onDelete('restrict')
						->onUpdate('cascade');
		});
		Schema::table('tipo_vehiculo', function(Blueprint $table) {
			$table->foreign('id_cliente')->references('id')->on('clientes')
						->onDelete('restrict')
						->onUpdate('cascade');
		});
		Schema::table('tipo_vehiculo', function(Blueprint $table) {
			$table->foreign('id_usuario_registro')->references('id')->on('usuarios')
						->onDelete('restrict')
						->onUpdate('cascade');
		});
		Schema::table('tipo_vehiculo', function(Blueprint $table) {
			$table->foreign('id_usuario_ult_mod')->references('id')->on('usuarios')
						->onDelete('restrict')
						->onUpdate('cascade');
		});
		Schema::table('tipo_caja', function(Blueprint $table) {
			$table->foreign('id_cliente')->references('id')->on('clientes')
						->onDelete('restrict')
						->onUpdate('cascade');
		});
		Schema::table('tipo_caja', function(Blueprint $table) {
			$table->foreign('id_usuario_registro')->references('id')->on('usuarios')
						->onDelete('restrict')
						->onUpdate('cascade');
		});
		Schema::table('tipo_caja', function(Blueprint $table) {
			$table->foreign('id_usuario_ult_mod')->references('id')->on('usuarios')
						->onDelete('restrict')
						->onUpdate('cascade');
		});
		Schema::table('tamano_caja', function(Blueprint $table) {
			$table->foreign('id_cliente')->references('id')->on('clientes')
						->onDelete('restrict')
						->onUpdate('cascade');
		});
		Schema::table('tamano_caja', function(Blueprint $table) {
			$table->foreign('id_usuario_registro')->references('id')->on('usuarios')
						->onDelete('restrict')
						->onUpdate('cascade');
		});
		Schema::table('tamano_caja', function(Blueprint $table) {
			$table->foreign('id_usuario_ult_mod')->references('id')->on('usuarios')
						->onDelete('restrict')
						->onUpdate('cascade');
		});
		Schema::table('config_cliente', function(Blueprint $table) {
			$table->foreign('id_cliente')->references('id')->on('clientes')
						->onDelete('restrict')
						->onUpdate('cascade');
		});
		Schema::table('config_usuario', function(Blueprint $table) {
			$table->foreign('id_cliente')->references('id')->on('clientes')
						->onDelete('restrict')
						->onUpdate('cascade');
		});
		Schema::table('config_usuario', function(Blueprint $table) {
			$table->foreign('id_usuario')->references('id')->on('usuarios')
						->onDelete('restrict')
						->onUpdate('cascade');
		});
		Schema::table('intercambios', function(Blueprint $table) {
			$table->foreign('id_cliente')->references('id')->on('clientes')
						->onDelete('restrict')
						->onUpdate('cascade');
		});
		Schema::table('intercambios', function(Blueprint $table) {
			$table->foreign('id_patio')->references('id')->on('patios')
						->onDelete('restrict')
						->onUpdate('cascade');
		});
		Schema::table('intercambios', function(Blueprint $table) {
			$table->foreign('id_usuario_registro')->references('id')->on('usuarios')
						->onDelete('restrict')
						->onUpdate('cascade');
		});
		Schema::table('intercambios', function(Blueprint $table) {
			$table->foreign('id_usuario_ult_mod')->references('id')->on('usuarios')
						->onDelete('restrict')
						->onUpdate('cascade');
		});
		Schema::table('intercambios_cajas', function(Blueprint $table) {
			$table->foreign('id_intercambio')->references('id')->on('intercambios')
						->onDelete('restrict')
						->onUpdate('cascade');
		});
		Schema::table('intercambios_cajas', function(Blueprint $table) {
			$table->foreign('id_caja')->references('id')->on('cajas')
						->onDelete('restrict')
						->onUpdate('cascade');
		});
		Schema::table('intercambios_cajas', function(Blueprint $table) {
			$table->foreign('id_tamano_caja')->references('id')->on('tamano_caja')
						->onDelete('restrict')
						->onUpdate('cascade');
		});
		Schema::table('intercambios_vehiculos', function(Blueprint $table) {
			$table->foreign('id_intercambio')->references('id')->on('intercambios')
						->onDelete('restrict')
						->onUpdate('cascade');
		});
		Schema::table('intercambios_vehiculos', function(Blueprint $table) {
			$table->foreign('id_vehiculo')->references('id')->on('vehiculos')
						->onDelete('restrict')
						->onUpdate('cascade');
		});
		Schema::table('intercambios_vehiculos', function(Blueprint $table) {
			$table->foreign('id_chofer')->references('id')->on('choferes')
						->onDelete('restrict')
						->onUpdate('cascade');
		});
		Schema::table('intercambios_revisiones', function(Blueprint $table) {
			$table->foreign('id_inter_vehiculo')->references('id')->on('intercambios_vehiculos')
						->onDelete('restrict')
						->onUpdate('cascade');
		});
		Schema::table('intercambios_revisiones', function(Blueprint $table) {
			$table->foreign('id_inter_caja')->references('id')->on('intercambios_cajas')
						->onDelete('restrict')
						->onUpdate('cascade');
		});
		Schema::table('intercambios_revisiones', function(Blueprint $table) {
			$table->foreign('id_tipo_revision')->references('id')->on('tipo_revision')
						->onDelete('restrict')
						->onUpdate('cascade');
		});
		Schema::table('intercambio_revision_detalles', function(Blueprint $table) {
			$table->foreign('id_inter_revision')->references('id')->on('intercambios_revisiones')
						->onDelete('restrict')
						->onUpdate('cascade');
		});
	}

	public function down()
	{
		Schema::table('clientes', function(Blueprint $table) {
			$table->dropForeign('clientes_id_pais_foreign');
		});
		Schema::table('clientes', function(Blueprint $table) {
			$table->dropForeign('clientes_id_estado_foreign');
		});
		Schema::table('clientes', function(Blueprint $table) {
			$table->dropForeign('clientes_id_usuario_registro_foreign');
		});
		Schema::table('clientes', function(Blueprint $table) {
			$table->dropForeign('clientes_id_usuario_ult_mod_foreign');
		});
		Schema::table('patios', function(Blueprint $table) {
			$table->dropForeign('patios_id_cliente_foreign');
		});
		Schema::table('patios', function(Blueprint $table) {
			$table->dropForeign('patios_id_pais_foreign');
		});
		Schema::table('patios', function(Blueprint $table) {
			$table->dropForeign('patios_id_estado_foreign');
		});
		Schema::table('patios', function(Blueprint $table) {
			$table->dropForeign('patios_id_usuario_registro_foreign');
		});
		Schema::table('patios', function(Blueprint $table) {
			$table->dropForeign('patios_id_usuario_ult_mod_foreign');
		});
		Schema::table('usuarios', function(Blueprint $table) {
			$table->dropForeign('usuarios_id_tipo_usuario_foreign');
		});
		Schema::table('usuarios', function(Blueprint $table) {
			$table->dropForeign('usuarios_id_cliente_foreign');
		});
		Schema::table('usuarios', function(Blueprint $table) {
			$table->dropForeign('usuarios_id_usuario_registro_foreign');
		});
		Schema::table('usuarios', function(Blueprint $table) {
			$table->dropForeign('usuarios_id_usuario_ult_mod_foreign');
		});
		Schema::table('paises', function(Blueprint $table) {
			$table->dropForeign('paises_id_usuario_registro_foreign');
		});
		Schema::table('paises', function(Blueprint $table) {
			$table->dropForeign('paises_id_usuario_ult_mod_foreign');
		});
		Schema::table('estados', function(Blueprint $table) {
			$table->dropForeign('estados_id_pais_foreign');
		});
		Schema::table('estados', function(Blueprint $table) {
			$table->dropForeign('estados_id_usuario_registro_foreign');
		});
		Schema::table('estados', function(Blueprint $table) {
			$table->dropForeign('estados_id_usuario_ult_mod_foreign');
		});
		Schema::table('tipo_usuarios', function(Blueprint $table) {
			$table->dropForeign('tipo_usuarios_id_cliente_foreign');
		});
		Schema::table('tipo_usuarios', function(Blueprint $table) {
			$table->dropForeign('tipo_usuarios_id_usuario_registro_foreign');
		});
		Schema::table('tipo_usuarios', function(Blueprint $table) {
			$table->dropForeign('tipo_usuarios_id_usuario_ult_mod_foreign');
		});
		Schema::table('choferes', function(Blueprint $table) {
			$table->dropForeign('choferes_id_cliente_foreign');
		});
		Schema::table('choferes', function(Blueprint $table) {
			$table->dropForeign('choferes_id_status_foreign');
		});
		Schema::table('choferes', function(Blueprint $table) {
			$table->dropForeign('choferes_id_usuario_registro_foreign');
		});
		Schema::table('choferes', function(Blueprint $table) {
			$table->dropForeign('choferes_id_usuario_ult_mod_foreign');
		});
		Schema::table('choferes', function(Blueprint $table) {
			$table->dropForeign('choferes_id_vehiculo_foreign');
		});
		Schema::table('status', function(Blueprint $table) {
			$table->dropForeign('status_id_cliente_foreign');
		});
		Schema::table('status', function(Blueprint $table) {
			$table->dropForeign('status_id_tipo_status_foreign');
		});
		Schema::table('status', function(Blueprint $table) {
			$table->dropForeign('status_id_usuario_registro_foreign');
		});
		Schema::table('status', function(Blueprint $table) {
			$table->dropForeign('status_id_usuario_ult_mod_foreign');
		});
		Schema::table('vehiculos', function(Blueprint $table) {
			$table->dropForeign('vehiculos_id_cliente_foreign');
		});
		Schema::table('vehiculos', function(Blueprint $table) {
			$table->dropForeign('vehiculos_id_status_foreign');
		});
		Schema::table('vehiculos', function(Blueprint $table) {
			$table->dropForeign('vehiculos_id_tipo_vehiculo_foreign');
		});
		Schema::table('vehiculos', function(Blueprint $table) {
			$table->dropForeign('vehiculos_id_chofer_foreign');
		});
		Schema::table('vehiculos', function(Blueprint $table) {
			$table->dropForeign('vehiculos_id_usuario_registro_foreign');
		});
		Schema::table('vehiculos', function(Blueprint $table) {
			$table->dropForeign('vehiculos_id_usuario_ult_mod_foreign');
		});
		Schema::table('cajas', function(Blueprint $table) {
			$table->dropForeign('cajas_id_cliente_foreign');
		});
		Schema::table('cajas', function(Blueprint $table) {
			$table->dropForeign('cajas_id_status_foreign');
		});
		Schema::table('cajas', function(Blueprint $table) {
			$table->dropForeign('cajas_id_tipo_caja_foreign');
		});
		Schema::table('cajas', function(Blueprint $table) {
			$table->dropForeign('cajas_id_tamano_caja_foreign');
		});
		Schema::table('cajas', function(Blueprint $table) {
			$table->dropForeign('cajas_id_usuario_registro_foreign');
		});
		Schema::table('cajas', function(Blueprint $table) {
			$table->dropForeign('cajas_id_usuario_ult_mod_foreign');
		});
		Schema::table('tipo_vehiculo', function(Blueprint $table) {
			$table->dropForeign('tipo_vehiculo_id_cliente_foreign');
		});
		Schema::table('tipo_vehiculo', function(Blueprint $table) {
			$table->dropForeign('tipo_vehiculo_id_usuario_registro_foreign');
		});
		Schema::table('tipo_vehiculo', function(Blueprint $table) {
			$table->dropForeign('tipo_vehiculo_id_usuario_ult_mod_foreign');
		});
		Schema::table('tipo_caja', function(Blueprint $table) {
			$table->dropForeign('tipo_caja_id_cliente_foreign');
		});
		Schema::table('tipo_caja', function(Blueprint $table) {
			$table->dropForeign('tipo_caja_id_usuario_registro_foreign');
		});
		Schema::table('tipo_caja', function(Blueprint $table) {
			$table->dropForeign('tipo_caja_id_usuario_ult_mod_foreign');
		});
		Schema::table('tamano_caja', function(Blueprint $table) {
			$table->dropForeign('tamano_caja_id_cliente_foreign');
		});
		Schema::table('tamano_caja', function(Blueprint $table) {
			$table->dropForeign('tamano_caja_id_usuario_registro_foreign');
		});
		Schema::table('tamano_caja', function(Blueprint $table) {
			$table->dropForeign('tamano_caja_id_usuario_ult_mod_foreign');
		});
		Schema::table('config_cliente', function(Blueprint $table) {
			$table->dropForeign('config_cliente_id_cliente_foreign');
		});
		Schema::table('config_usuario', function(Blueprint $table) {
			$table->dropForeign('config_usuario_id_cliente_foreign');
		});
		Schema::table('config_usuario', function(Blueprint $table) {
			$table->dropForeign('config_usuario_id_usuario_foreign');
		});
		Schema::table('intercambios', function(Blueprint $table) {
			$table->dropForeign('intercambios_id_cliente_foreign');
		});
		Schema::table('intercambios', function(Blueprint $table) {
			$table->dropForeign('intercambios_id_patio_foreign');
		});
		Schema::table('intercambios', function(Blueprint $table) {
			$table->dropForeign('intercambios_id_usuario_registro_foreign');
		});
		Schema::table('intercambios', function(Blueprint $table) {
			$table->dropForeign('intercambios_id_usuario_ult_mod_foreign');
		});
		Schema::table('intercambios_cajas', function(Blueprint $table) {
			$table->dropForeign('intercambios_cajas_id_intercambio_foreign');
		});
		Schema::table('intercambios_cajas', function(Blueprint $table) {
			$table->dropForeign('intercambios_cajas_id_caja_foreign');
		});
		Schema::table('intercambios_cajas', function(Blueprint $table) {
			$table->dropForeign('intercambios_cajas_id_tamano_caja_foreign');
		});
		Schema::table('intercambios_vehiculos', function(Blueprint $table) {
			$table->dropForeign('intercambios_vehiculos_id_intercambio_foreign');
		});
		Schema::table('intercambios_vehiculos', function(Blueprint $table) {
			$table->dropForeign('intercambios_vehiculos_id_vehiculo_foreign');
		});
		Schema::table('intercambios_vehiculos', function(Blueprint $table) {
			$table->dropForeign('intercambios_vehiculos_id_chofer_foreign');
		});
		Schema::table('intercambios_revisiones', function(Blueprint $table) {
			$table->dropForeign('intercambios_revisiones_id_inter_vehiculo_foreign');
		});
		Schema::table('intercambios_revisiones', function(Blueprint $table) {
			$table->dropForeign('intercambios_revisiones_id_inter_caja_foreign');
		});
		Schema::table('intercambios_revisiones', function(Blueprint $table) {
			$table->dropForeign('intercambios_revisiones_id_tipo_revision_foreign');
		});
		Schema::table('intercambio_revision_detalles', function(Blueprint $table) {
			$table->dropForeign('intercambio_revision_detalles_id_inter_revision_foreign');
		});
	}
}